<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:clickable="true"
    android:focusable="true"
    android:background="@color/ui_surface"
    android:orientation="vertical">

    <androidx.core.widget.NestedScrollView
        android:id="@+id/suggest_scrollview"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1"
        android:overScrollMode="never"
        android:scrollbars="none">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:id="@+id/identityContainer"
                android:layout_width="match_parent"
                android:layout_height="48dp">

                <TextView
                    android:id="@+id/identityTv"
                    android:layout_width="wrap_content"
                    android:layout_height="48dp"
                    android:layout_marginStart="16dp"
                    android:layout_marginLeft="16dp"
                    android:gravity="center"
                    android:textColor="@color/text_primary"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent"
                    tools:text="版权方身份" />

                <RadioGroup
                    android:id="@+id/suggestIdentityRg"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="12dp"
                    android:layout_marginLeft="12dp"
                    android:orientation="horizontal"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintEnd_toEndOf="parent"
                    app:layout_constraintStart_toEndOf="@+id/identityTv"
                    app:layout_constraintTop_toTopOf="parent">

                    <RadioButton
                        android:id="@+id/suggestPersonalRb"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:background="@drawable/copyright_identity_rg_button_selector"
                        android:button="@null"
                        android:checked="true"
                        android:gravity="center"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="个人"
                        android:textColor="@color/copyright_identity_rg_button_selector"
                        android:textSize="@dimen/secondary_size" />

                    <RadioButton
                        android:id="@+id/suggestCompanyRb"
                        android:layout_width="wrap_content"
                        android:layout_height="28dp"
                        android:layout_marginStart="8dp"
                        android:layout_marginLeft="8dp"
                        android:background="@drawable/copyright_identity_rg_button_selector"
                        android:button="@null"
                        android:gravity="center"
                        android:paddingLeft="12dp"
                        android:paddingRight="12dp"
                        android:text="公司或组织"
                        android:textColor="@color/copyright_identity_rg_button_selector"
                        android:textSize="@dimen/secondary_size" />
                </RadioGroup>
            </androidx.constraintlayout.widget.ConstraintLayout>

            <include
                android:id="@+id/credentials"
                layout="@layout/item_suggest_input_single_line" />

            <include
                android:id="@+id/uploadCredentialsPic"
                layout="@layout/item_suggest_upload_pic" />

            <include
                android:id="@+id/appName"
                layout="@layout/item_suggest_input_single_line" />

            <include
                android:id="@+id/appScreenshots"
                layout="@layout/item_suggest_upload_pic" />

            <include
                android:id="@+id/problemDes"
                layout="@layout/item_suggest_input_multi_line" />

            <include
                android:id="@+id/contact"
                layout="@layout/item_suggest_contact" />

        </LinearLayout>
    </androidx.core.widget.NestedScrollView>

    <LinearLayout
        android:id="@+id/suggest_post_ll"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="@color/ui_surface"
        android:orientation="horizontal"
        android:paddingStart="16dp"
        android:paddingTop="8dp"
        android:paddingEnd="16dp"
        android:paddingBottom="16dp">

        <TextView
            android:id="@+id/suggest_post_btn"
            android:layout_width="match_parent"
            android:layout_height="40dp"
            android:background="@drawable/game_item_btn_download_style"
            android:gravity="center"
            android:text="@string/suggest_post"
            android:textColor="@color/white"
            android:textSize="14sp" />

    </LinearLayout>

</LinearLayout>